<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnMath.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d34/_en_math_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EnMath.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d34/_en_math_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gada995223be69142be1ecd61992b3e342">    8</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gada995223be69142be1ecd61992b3e342">Math</a>() {}</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gadacb3dbc327448657d5afd3093ade65a">    9</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gadacb3dbc327448657d5afd3093ade65a">~Math</a>() {}</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga164c87a75601135e861533817b4ae538">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#ga164c87a75601135e861533817b4ae538">EULER</a> = 2.7182818284590452353;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> = 3.14159265358979;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga0582b8db17669551eef122dd64ca26be">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#ga0582b8db17669551eef122dd64ca26be">PI2</a> = 6.28318530717958;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga269369827474ef0bd280de6b8c73c464">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#ga269369827474ef0bd280de6b8c73c464">PI_HALF</a> = 1.570796326794;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a> = 57.2957795130823208768;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">   17</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">DEG2RAD</a> = 0.01745329251994329577;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">   20</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">GetNumberOfSetBits</a>(<span class="keywordtype">int</span> i);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga50c05f1934c74c7501f3b0e9842a6066">   23</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga50c05f1934c74c7501f3b0e9842a6066">GetNthBitSet</a>(<span class="keywordtype">int</span> value, <span class="keywordtype">int</span> n);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">   38</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(<span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">   53</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(<span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(min, max+1);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">   71</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">RandomFloat</a>(<span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">   86</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(<span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordtype">int</span> max_range = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(2, 30); <span class="comment">//max range</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordtype">int</span> random_int = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">RandomInt</a>(0, max_range);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordtype">float</span> rand_float = (<a class="code hl_class" href="../../d4/dc3/classfloat.html">float</a>)random_int / (<span class="keywordtype">float</span>)max_range;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordtype">float</span> range = max - min;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> min + (rand_float * range); <span class="comment">//rand float</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">  106</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">RandomFloat01</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(0, 1);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga17fdc005c4a5c21ff5c4f5c40e851147">  121</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga17fdc005c4a5c21ff5c4f5c40e851147">Randomize</a>(<span class="keywordtype">int</span> seed);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga2cedf40a3bff9a828b704c2c11832e55">  135</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga2cedf40a3bff9a828b704c2c11832e55">NormalizeAngle</a>(<span class="keywordtype">float</span> ang);</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gad14dabb3390c0864934b342a0b807db8">  150</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gad14dabb3390c0864934b342a0b807db8">DiffAngle</a>(<span class="keywordtype">float</span> angle1, <span class="keywordtype">float</span> angle2);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">  163</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(<span class="keywordtype">float</span> v, <span class="keywordtype">float</span> power);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga2b778227c1910d5ebafad4b007e4b26a">  178</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga2b778227c1910d5ebafad4b007e4b26a">ModFloat</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gab1e792a95fdeaf43344074819890ea1f">  193</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gab1e792a95fdeaf43344074819890ea1f">RemainderFloat</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">  205</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">AbsFloat</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga5de10d171b32d639a1e42d57f33437a9">  217</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga5de10d171b32d639a1e42d57f33437a9">AbsInt</a>(<span class="keywordtype">int</span> i);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga35c5ac7c191518f559e917a51d43dcd7">  233</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga35c5ac7c191518f559e917a51d43dcd7">SignFloat</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga6349ce5538595ccf65b70a026d7fb108">  249</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga6349ce5538595ccf65b70a026d7fb108">SignInt</a>(<span class="keywordtype">int</span> i);</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">  261</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">SqrFloat</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gaa820b327d9e39f202a13086f12b497a7">  273</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gaa820b327d9e39f202a13086f12b497a7">SqrInt</a>(<span class="keywordtype">int</span> i);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    </div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">  285</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a>(<span class="keywordtype">float</span> val);</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>    </div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga6d299a8f9f1f0d423c730252140f7dfd">  299</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga6d299a8f9f1f0d423c730252140f7dfd">Log2</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>);</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">  311</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>(<span class="keywordtype">float</span> angle);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span> </div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">  323</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>(<span class="keywordtype">float</span> angle);</div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span> </div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga5e7cfa6eb9adaec1bb0ee6314bd32c2c">  335</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga5e7cfa6eb9adaec1bb0ee6314bd32c2c">Tan</a>(<span class="keywordtype">float</span> angle);</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span> </div>
<div class="line"><a id="l00347" name="l00347"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">  347</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Asin</a>(<span class="keywordtype">float</span> s);</div>
<div class="line"><a id="l00348" name="l00348"></a><span class="lineno">  348</span> </div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga38642eeb5f858f9f88e6cdaf1ad6a9b1">  359</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga38642eeb5f858f9f88e6cdaf1ad6a9b1">Acos</a>(<span class="keywordtype">float</span> c);</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>    </div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga625d85b7a985d5305e6264b8ca994d9a">  366</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga625d85b7a985d5305e6264b8ca994d9a">Atan</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>);</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> </div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga87cce5b3869bb15303abcbe531f50d32">  379</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga87cce5b3869bb15303abcbe531f50d32">Atan2</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>);</div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00393" name="l00393"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">  393</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Round</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00394" name="l00394"></a><span class="lineno">  394</span>        </div>
<div class="line"><a id="l00407" name="l00407"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga16e805acd55f171477bd5ca7dbaa5a18">  407</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga16e805acd55f171477bd5ca7dbaa5a18">Floor</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00408" name="l00408"></a><span class="lineno">  408</span> </div>
<div class="line"><a id="l00421" name="l00421"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">  421</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Ceil</a>(<span class="keywordtype">float</span> f);</div>
<div class="line"><a id="l00422" name="l00422"></a><span class="lineno">  422</span>    </div>
<div class="line"><a id="l00435" name="l00435"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga77faa83d4f7a4596c7e753c2d8eed7e9">  435</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga77faa83d4f7a4596c7e753c2d8eed7e9">WrapFloat</a>(<span class="keywordtype">float</span> f, <span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00436" name="l00436"></a><span class="lineno">  436</span>    </div>
<div class="line"><a id="l00449" name="l00449"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gaa1aedb337387c76b8a2a45df3f272036">  449</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gaa1aedb337387c76b8a2a45df3f272036">WrapFloatInclusive</a>(<span class="keywordtype">float</span> f, <span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00450" name="l00450"></a><span class="lineno">  450</span>    </div>
<div class="line"><a id="l00462" name="l00462"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gac2663c66bd7cf25304a23e1582d12104">  462</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gac2663c66bd7cf25304a23e1582d12104">WrapFloat0X</a>(<span class="keywordtype">float</span> f, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00463" name="l00463"></a><span class="lineno">  463</span>    </div>
<div class="line"><a id="l00475" name="l00475"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gadbdf067af7aa51723de417b94223b046">  475</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gadbdf067af7aa51723de417b94223b046">WrapFloat0XInclusive</a>(<span class="keywordtype">float</span> f, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00476" name="l00476"></a><span class="lineno">  476</span>    </div>
<div class="line"><a id="l00489" name="l00489"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga6cb1e2997a6adb67425499bd8625d477">  489</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga6cb1e2997a6adb67425499bd8625d477">WrapInt</a>(<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max);</div>
<div class="line"><a id="l00490" name="l00490"></a><span class="lineno">  490</span>    </div>
<div class="line"><a id="l00502" name="l00502"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga6ca4cfae355e1988486f5d91171f9125">  502</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga6ca4cfae355e1988486f5d91171f9125">WrapInt0X</a>(<span class="keywordtype">int</span> i, <span class="keywordtype">int</span> max);</div>
<div class="line"><a id="l00503" name="l00503"></a><span class="lineno">  503</span> </div>
<div class="line"><a id="l00520" name="l00520"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">  520</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Clamp</a>(<span class="keywordtype">float</span> value, <span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00521" name="l00521"></a><span class="lineno">  521</span>        </div>
<div class="line"><a id="l00533" name="l00533"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">  533</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Min</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>);</div>
<div class="line"><a id="l00534" name="l00534"></a><span class="lineno">  534</span>    </div>
<div class="line"><a id="l00546" name="l00546"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">  546</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Max</a>(<span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>);   </div>
<div class="line"><a id="l00547" name="l00547"></a><span class="lineno">  547</span>    </div>
<div class="line"><a id="l00560" name="l00560"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga1660a81f5e31d1e3ffef943ead9573cb">  560</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga1660a81f5e31d1e3ffef943ead9573cb">IsInRange</a>(<span class="keywordtype">float</span> v, <span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max);</div>
<div class="line"><a id="l00561" name="l00561"></a><span class="lineno">  561</span>    </div>
<div class="line"><a id="l00574" name="l00574"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga30d642ed6c164b550129fe8be97f26db">  574</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga30d642ed6c164b550129fe8be97f26db">IsInRangeInt</a>(<span class="keywordtype">int</span> v, <span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max);</div>
<div class="line"><a id="l00575" name="l00575"></a><span class="lineno">  575</span>    </div>
<div class="line"><a id="l00588" name="l00588"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga1ac33c7be3c1e52ae6b70fe58c78266c">  588</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga1ac33c7be3c1e52ae6b70fe58c78266c">Lerp</a>(<span class="keywordtype">float</span> a, <span class="keywordtype">float</span> b, <span class="keywordtype">float</span> time);</div>
<div class="line"><a id="l00589" name="l00589"></a><span class="lineno">  589</span> </div>
<div class="line"><a id="l00602" name="l00602"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">  602</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">InverseLerp</a>(<span class="keywordtype">float</span> a, <span class="keywordtype">float</span> b, <span class="keywordtype">float</span> value);</div>
<div class="line"><a id="l00603" name="l00603"></a><span class="lineno">  603</span>    </div>
<div class="line"><a id="l00610" name="l00610"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga23357397a7cc88e0f347be3bf4ffd992">  610</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga23357397a7cc88e0f347be3bf4ffd992">AreaOfRightTriangle</a>(<span class="keywordtype">float</span> s, <span class="keywordtype">float</span> a);</div>
<div class="line"><a id="l00611" name="l00611"></a><span class="lineno">  611</span>    </div>
<div class="line"><a id="l00618" name="l00618"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga234cbb0fb9accc86985b19c74ecf62ec">  618</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga234cbb0fb9accc86985b19c74ecf62ec">HypotenuseOfRightTriangle</a>(<span class="keywordtype">float</span> s, <span class="keywordtype">float</span> a);</div>
<div class="line"><a id="l00619" name="l00619"></a><span class="lineno">  619</span>    </div>
<div class="line"><a id="l00627" name="l00627"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga55588f94ee27f7cd8978aa9374809aa7">  627</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga55588f94ee27f7cd8978aa9374809aa7">IsPointInCircle</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> c, <span class="keywordtype">float</span> r, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> p);</div>
<div class="line"><a id="l00628" name="l00628"></a><span class="lineno">  628</span>    </div>
<div class="line"><a id="l00636" name="l00636"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga6c5624eec8fc9e9c0bf4c9e214eceac3">  636</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga6c5624eec8fc9e9c0bf4c9e214eceac3">IsPointInRectangle</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mi, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> ma, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> p);</div>
<div class="line"><a id="l00637" name="l00637"></a><span class="lineno">  637</span>    </div>
<div class="line"><a id="l00638" name="l00638"></a><span class="lineno">  638</span>    <span class="comment">//--------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00639" name="l00639"></a><span class="lineno">  639</span>    <span class="comment">//-------------------------------- filters ---------------------------------</span></div>
<div class="line"><a id="l00640" name="l00640"></a><span class="lineno">  640</span>    <span class="comment">//--------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00641" name="l00641"></a><span class="lineno">  641</span> </div>
<div class="line"><a id="l00658" name="l00658"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">  658</a></span>    proto <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">SmoothCD</a>(<span class="keywordtype">float</span> val, <span class="keywordtype">float</span> target, inout <span class="keywordtype">float</span> velocity[], <span class="keywordtype">float</span> smoothTime, <span class="keywordtype">float</span> maxVelocity, <span class="keywordtype">float</span> dt);</div>
<div class="line"><a id="l00659" name="l00659"></a><span class="lineno">  659</span>    </div>
<div class="line"><a id="l00661" name="l00661"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#ga0ff3df5a48403fd174dd9e6ac004f6d2">  661</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../d5/d98/group___math.html#ga0ff3df5a48403fd174dd9e6ac004f6d2">Poisson</a>(<span class="keywordtype">float</span> mean, <span class="keywordtype">int</span> occurences)</div>
<div class="line"><a id="l00662" name="l00662"></a><span class="lineno">  662</span>    {</div>
<div class="line"><a id="l00663" name="l00663"></a><span class="lineno">  663</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(mean, occurences) * <a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>(<a class="code hl_variable" href="../../d5/d98/group___math.html#ga164c87a75601135e861533817b4ae538">EULER</a>,-mean) / <a class="code hl_function" href="../../d5/d98/group___math.html#gafb9b2e8f56df699e34f40875213dedff">Factorial</a>(occurences);</div>
<div class="line"><a id="l00664" name="l00664"></a><span class="lineno">  664</span>    }</div>
<div class="line"><a id="l00665" name="l00665"></a><span class="lineno">  665</span>    </div>
<div class="line"><a id="l00667" name="l00667"></a><span class="lineno"><a class="line" href="../../d5/d98/group___math.html#gafb9b2e8f56df699e34f40875213dedff">  667</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/d98/group___math.html#gafb9b2e8f56df699e34f40875213dedff">Factorial</a>(<span class="keywordtype">int</span> val)</div>
<div class="line"><a id="l00668" name="l00668"></a><span class="lineno">  668</span>    {</div>
<div class="line"><a id="l00669" name="l00669"></a><span class="lineno">  669</span>        <span class="keywordflow">if</span> (val &gt; 12)</div>
<div class="line"><a id="l00670" name="l00670"></a><span class="lineno">  670</span>        {</div>
<div class="line"><a id="l00671" name="l00671"></a><span class="lineno">  671</span>            <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;Values above &#39;12&#39; cause int overflow! Returning &#39;1&#39;&quot;</span>);</div>
<div class="line"><a id="l00672" name="l00672"></a><span class="lineno">  672</span>            <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00673" name="l00673"></a><span class="lineno">  673</span>        }</div>
<div class="line"><a id="l00674" name="l00674"></a><span class="lineno">  674</span>        </div>
<div class="line"><a id="l00675" name="l00675"></a><span class="lineno">  675</span>        <span class="keywordtype">int</span> res = 1;</div>
<div class="line"><a id="l00676" name="l00676"></a><span class="lineno">  676</span>        <span class="keywordflow">while</span> (val &gt; 1)</div>
<div class="line"><a id="l00677" name="l00677"></a><span class="lineno">  677</span>        {</div>
<div class="line"><a id="l00678" name="l00678"></a><span class="lineno">  678</span>            res *= val--;</div>
<div class="line"><a id="l00679" name="l00679"></a><span class="lineno">  679</span>        }</div>
<div class="line"><a id="l00680" name="l00680"></a><span class="lineno">  680</span>        <span class="keywordflow">return</span> res;</div>
<div class="line"><a id="l00681" name="l00681"></a><span class="lineno">  681</span>    }</div>
<div class="line"><a id="l00682" name="l00682"></a><span class="lineno">  682</span>};</div>
<div class="line"><a id="l00683" name="l00683"></a><span class="lineno">  683</span> </div>
<div class="line"><a id="l00684" name="l00684"></a><span class="lineno">  684</span><span class="comment">//@}</span></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclassfloat_html"><div class="ttname"><a href="../../d4/dc3/classfloat.html">float</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00090">EnConvert.c:91</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga0582b8db17669551eef122dd64ca26be"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0582b8db17669551eef122dd64ca26be">Math::PI2</a></div><div class="ttdeci">static const float PI2</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00013">EnMath.c:13</a></div></div>
<div class="ttc" id="agroup___math_html_ga0721fce39300fa5a6a172f4a5f197188"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0721fce39300fa5a6a172f4a5f197188">Math::RandomFloat01</a></div><div class="ttdeci">static float RandomFloat01()</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00106">EnMath.c:106</a></div></div>
<div class="ttc" id="agroup___math_html_ga0ea2cf98823125deeeb28e8c03d3d756"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ea2cf98823125deeeb28e8c03d3d756">Math::Max</a></div><div class="ttdeci">static proto float Max(float x, float y)</div><div class="ttdoc">Returns bigger of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga0ff3df5a48403fd174dd9e6ac004f6d2"><div class="ttname"><a href="../../d5/d98/group___math.html#ga0ff3df5a48403fd174dd9e6ac004f6d2">Math::Poisson</a></div><div class="ttdeci">static float Poisson(float mean, int occurences)</div><div class="ttdoc">occurences values above '12' will cause Factorial to overflow int.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00661">EnMath.c:661</a></div></div>
<div class="ttc" id="agroup___math_html_ga164c87a75601135e861533817b4ae538"><div class="ttname"><a href="../../d5/d98/group___math.html#ga164c87a75601135e861533817b4ae538">Math::EULER</a></div><div class="ttdeci">static const float EULER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00011">EnMath.c:11</a></div></div>
<div class="ttc" id="agroup___math_html_ga1660a81f5e31d1e3ffef943ead9573cb"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1660a81f5e31d1e3ffef943ead9573cb">Math::IsInRange</a></div><div class="ttdeci">static proto bool IsInRange(float v, float min, float max)</div><div class="ttdoc">Returns if value is between min and max (inclusive)</div></div>
<div class="ttc" id="agroup___math_html_ga16e805acd55f171477bd5ca7dbaa5a18"><div class="ttname"><a href="../../d5/d98/group___math.html#ga16e805acd55f171477bd5ca7dbaa5a18">Math::Floor</a></div><div class="ttdeci">static proto float Floor(float f)</div><div class="ttdoc">Returns floor of value.</div></div>
<div class="ttc" id="agroup___math_html_ga17fdc005c4a5c21ff5c4f5c40e851147"><div class="ttname"><a href="../../d5/d98/group___math.html#ga17fdc005c4a5c21ff5c4f5c40e851147">Math::Randomize</a></div><div class="ttdeci">static proto int Randomize(int seed)</div><div class="ttdoc">Sets the seed for the random number generator.</div></div>
<div class="ttc" id="agroup___math_html_ga1ac33c7be3c1e52ae6b70fe58c78266c"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1ac33c7be3c1e52ae6b70fe58c78266c">Math::Lerp</a></div><div class="ttdeci">static proto float Lerp(float a, float b, float time)</div><div class="ttdoc">Linearly interpolates between 'a' and 'b' given 'time'.</div></div>
<div class="ttc" id="agroup___math_html_ga1ea52907ba49a5706b41108910975de7"><div class="ttname"><a href="../../d5/d98/group___math.html#ga1ea52907ba49a5706b41108910975de7">Math::SqrFloat</a></div><div class="ttdeci">static proto float SqrFloat(float f)</div><div class="ttdoc">Returns squared value.</div></div>
<div class="ttc" id="agroup___math_html_ga23357397a7cc88e0f347be3bf4ffd992"><div class="ttname"><a href="../../d5/d98/group___math.html#ga23357397a7cc88e0f347be3bf4ffd992">Math::AreaOfRightTriangle</a></div><div class="ttdeci">static proto float AreaOfRightTriangle(float s, float a)</div><div class="ttdoc">Returns area of a right triangle.</div></div>
<div class="ttc" id="agroup___math_html_ga234cbb0fb9accc86985b19c74ecf62ec"><div class="ttname"><a href="../../d5/d98/group___math.html#ga234cbb0fb9accc86985b19c74ecf62ec">Math::HypotenuseOfRightTriangle</a></div><div class="ttdeci">static proto float HypotenuseOfRightTriangle(float s, float a)</div><div class="ttdoc">Returns hypotenus of a right triangle.</div></div>
<div class="ttc" id="agroup___math_html_ga269369827474ef0bd280de6b8c73c464"><div class="ttname"><a href="../../d5/d98/group___math.html#ga269369827474ef0bd280de6b8c73c464">Math::PI_HALF</a></div><div class="ttdeci">static const float PI_HALF</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00014">EnMath.c:14</a></div></div>
<div class="ttc" id="agroup___math_html_ga273b16d560ff640dfd75a633a67bf97d"><div class="ttname"><a href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Math::Asin</a></div><div class="ttdeci">static proto float Asin(float s)</div><div class="ttdoc">Returns angle in radians from sinus.</div></div>
<div class="ttc" id="agroup___math_html_ga2b778227c1910d5ebafad4b007e4b26a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga2b778227c1910d5ebafad4b007e4b26a">Math::ModFloat</a></div><div class="ttdeci">static proto float ModFloat(float x, float y)</div><div class="ttdoc">Returns the floating-point remainder of x/y rounded towards zero.</div></div>
<div class="ttc" id="agroup___math_html_ga2cedf40a3bff9a828b704c2c11832e55"><div class="ttname"><a href="../../d5/d98/group___math.html#ga2cedf40a3bff9a828b704c2c11832e55">Math::NormalizeAngle</a></div><div class="ttdeci">static proto float NormalizeAngle(float ang)</div><div class="ttdoc">Normalizes the angle (0...360)</div></div>
<div class="ttc" id="agroup___math_html_ga30d642ed6c164b550129fe8be97f26db"><div class="ttname"><a href="../../d5/d98/group___math.html#ga30d642ed6c164b550129fe8be97f26db">Math::IsInRangeInt</a></div><div class="ttdeci">static proto bool IsInRangeInt(int v, int min, int max)</div><div class="ttdoc">Returns if value is between min and max (inclusive)</div></div>
<div class="ttc" id="agroup___math_html_ga35c5ac7c191518f559e917a51d43dcd7"><div class="ttname"><a href="../../d5/d98/group___math.html#ga35c5ac7c191518f559e917a51d43dcd7">Math::SignFloat</a></div><div class="ttdeci">static proto float SignFloat(float f)</div><div class="ttdoc">Returns sign of given value.</div></div>
<div class="ttc" id="agroup___math_html_ga38642eeb5f858f9f88e6cdaf1ad6a9b1"><div class="ttname"><a href="../../d5/d98/group___math.html#ga38642eeb5f858f9f88e6cdaf1ad6a9b1">Math::Acos</a></div><div class="ttdeci">static proto float Acos(float c)</div><div class="ttdoc">Returns angle in radians from cosinus.</div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___math_html_ga3f01887a546a08f28dad75287e3fb830"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Math::Sqrt</a></div><div class="ttdeci">static proto float Sqrt(float val)</div><div class="ttdoc">Returns square root.</div></div>
<div class="ttc" id="agroup___math_html_ga50c05f1934c74c7501f3b0e9842a6066"><div class="ttname"><a href="../../d5/d98/group___math.html#ga50c05f1934c74c7501f3b0e9842a6066">Math::GetNthBitSet</a></div><div class="ttdeci">static proto int GetNthBitSet(int value, int n)</div><div class="ttdoc">returns the the index of n-th bit set in a bit mask counting from the right, for instance,...</div></div>
<div class="ttc" id="agroup___math_html_ga55588f94ee27f7cd8978aa9374809aa7"><div class="ttname"><a href="../../d5/d98/group___math.html#ga55588f94ee27f7cd8978aa9374809aa7">Math::IsPointInCircle</a></div><div class="ttdeci">static proto bool IsPointInCircle(vector c, float r, vector p)</div><div class="ttdoc">Returns if point is inside circle.</div></div>
<div class="ttc" id="agroup___math_html_ga56eafa8f245b4dc543abbf857f1bc41a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga56eafa8f245b4dc543abbf857f1bc41a">Math::Min</a></div><div class="ttdeci">static proto float Min(float x, float y)</div><div class="ttdoc">Returns smaller of two given values.</div></div>
<div class="ttc" id="agroup___math_html_ga59a832dc3ede05300c969625f9c012d6"><div class="ttname"><a href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Math::Cos</a></div><div class="ttdeci">static proto float Cos(float angle)</div><div class="ttdoc">Returns cosinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_ga5de10d171b32d639a1e42d57f33437a9"><div class="ttname"><a href="../../d5/d98/group___math.html#ga5de10d171b32d639a1e42d57f33437a9">Math::AbsInt</a></div><div class="ttdeci">static proto int AbsInt(int i)</div><div class="ttdoc">Returns absolute value.</div></div>
<div class="ttc" id="agroup___math_html_ga5e7cfa6eb9adaec1bb0ee6314bd32c2c"><div class="ttname"><a href="../../d5/d98/group___math.html#ga5e7cfa6eb9adaec1bb0ee6314bd32c2c">Math::Tan</a></div><div class="ttdeci">static proto float Tan(float angle)</div><div class="ttdoc">Returns tangent of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_ga625d85b7a985d5305e6264b8ca994d9a"><div class="ttname"><a href="../../d5/d98/group___math.html#ga625d85b7a985d5305e6264b8ca994d9a">Math::Atan</a></div><div class="ttdeci">static proto float Atan(float x)</div><div class="ttdoc">Returns angle in radians from tangent.</div></div>
<div class="ttc" id="agroup___math_html_ga6349ce5538595ccf65b70a026d7fb108"><div class="ttname"><a href="../../d5/d98/group___math.html#ga6349ce5538595ccf65b70a026d7fb108">Math::SignInt</a></div><div class="ttdeci">static proto int SignInt(int i)</div><div class="ttdoc">Returns sign of given value.</div></div>
<div class="ttc" id="agroup___math_html_ga6c5624eec8fc9e9c0bf4c9e214eceac3"><div class="ttname"><a href="../../d5/d98/group___math.html#ga6c5624eec8fc9e9c0bf4c9e214eceac3">Math::IsPointInRectangle</a></div><div class="ttdeci">static proto bool IsPointInRectangle(vector mi, vector ma, vector p)</div><div class="ttdoc">Returns if point is inside rectangle.</div></div>
<div class="ttc" id="agroup___math_html_ga6ca4cfae355e1988486f5d91171f9125"><div class="ttname"><a href="../../d5/d98/group___math.html#ga6ca4cfae355e1988486f5d91171f9125">Math::WrapInt0X</a></div><div class="ttdeci">static proto int WrapInt0X(int i, int max)</div><div class="ttdoc">Returns wrap number to specified interval [0, max[.</div></div>
<div class="ttc" id="agroup___math_html_ga6cb1e2997a6adb67425499bd8625d477"><div class="ttname"><a href="../../d5/d98/group___math.html#ga6cb1e2997a6adb67425499bd8625d477">Math::WrapInt</a></div><div class="ttdeci">static proto int WrapInt(int i, int min, int max)</div><div class="ttdoc">Returns wrap number to specified interval [min, max[.</div></div>
<div class="ttc" id="agroup___math_html_ga6d299a8f9f1f0d423c730252140f7dfd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga6d299a8f9f1f0d423c730252140f7dfd">Math::Log2</a></div><div class="ttdeci">static proto float Log2(float x)</div><div class="ttdoc">Returns the binary (base-2) logarithm of x.</div></div>
<div class="ttc" id="agroup___math_html_ga77faa83d4f7a4596c7e753c2d8eed7e9"><div class="ttname"><a href="../../d5/d98/group___math.html#ga77faa83d4f7a4596c7e753c2d8eed7e9">Math::WrapFloat</a></div><div class="ttdeci">static proto float WrapFloat(float f, float min, float max)</div><div class="ttdoc">Returns wrap number to specified interval [min, max[.</div></div>
<div class="ttc" id="agroup___math_html_ga7a63fd1bc9f0c95f8021d8ece1b7500f"><div class="ttname"><a href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Math::Round</a></div><div class="ttdeci">static proto float Round(float f)</div><div class="ttdoc">Returns mathematical round of value.</div></div>
<div class="ttc" id="agroup___math_html_ga87cce5b3869bb15303abcbe531f50d32"><div class="ttname"><a href="../../d5/d98/group___math.html#ga87cce5b3869bb15303abcbe531f50d32">Math::Atan2</a></div><div class="ttdeci">static proto float Atan2(float y, float x)</div><div class="ttdoc">Returns angle in radians from tangent.</div></div>
<div class="ttc" id="agroup___math_html_ga892ecb1375c9b373969273223a5841f3"><div class="ttname"><a href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">Math::RandomFloat</a></div><div class="ttdeci">static proto float RandomFloat(float min, float max)</div><div class="ttdoc">Returns a random float number between and min[inclusive] and max[exclusive].</div></div>
<div class="ttc" id="agroup___math_html_ga939cca08ae6c7facc9293f2dbce3def5"><div class="ttname"><a href="../../d5/d98/group___math.html#ga939cca08ae6c7facc9293f2dbce3def5">Math::Clamp</a></div><div class="ttdeci">static proto float Clamp(float value, float min, float max)</div><div class="ttdoc">Clamps 'value' to 'min' if it is lower than 'min', or to 'max' if it is higher than 'max'.</div></div>
<div class="ttc" id="agroup___math_html_ga94eedd3910334f450ef989d69ab4e4fd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Math::Sin</a></div><div class="ttdeci">static proto float Sin(float angle)</div><div class="ttdoc">Returns sinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_gaa191e62ab92d20698e58e3a20950471a"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa191e62ab92d20698e58e3a20950471a">Math::InverseLerp</a></div><div class="ttdeci">static proto float InverseLerp(float a, float b, float value)</div><div class="ttdoc">Calculates the linear value that produces the interpolant value within the range [a,...</div></div>
<div class="ttc" id="agroup___math_html_gaa1aedb337387c76b8a2a45df3f272036"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa1aedb337387c76b8a2a45df3f272036">Math::WrapFloatInclusive</a></div><div class="ttdeci">static proto float WrapFloatInclusive(float f, float min, float max)</div><div class="ttdoc">Returns wrap number to specified interval [min, max].</div></div>
<div class="ttc" id="agroup___math_html_gaa820b327d9e39f202a13086f12b497a7"><div class="ttname"><a href="../../d5/d98/group___math.html#gaa820b327d9e39f202a13086f12b497a7">Math::SqrInt</a></div><div class="ttdeci">static proto int SqrInt(int i)</div><div class="ttdoc">Returns squared value.</div></div>
<div class="ttc" id="agroup___math_html_gab1e792a95fdeaf43344074819890ea1f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab1e792a95fdeaf43344074819890ea1f">Math::RemainderFloat</a></div><div class="ttdeci">static proto float RemainderFloat(float x, float y)</div><div class="ttdoc">Returns the floating-point remainder of x/y rounded to nearest.</div></div>
<div class="ttc" id="agroup___math_html_gab5e095de61335667a5fc38d9d538d89f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Math::Pow</a></div><div class="ttdeci">static proto float Pow(float v, float power)</div><div class="ttdoc">Return power of v ^ power.</div></div>
<div class="ttc" id="agroup___math_html_gac2663c66bd7cf25304a23e1582d12104"><div class="ttname"><a href="../../d5/d98/group___math.html#gac2663c66bd7cf25304a23e1582d12104">Math::WrapFloat0X</a></div><div class="ttdeci">static proto float WrapFloat0X(float f, float max)</div><div class="ttdoc">Returns wrap number to specified interval [0, max[.</div></div>
<div class="ttc" id="agroup___math_html_gac34f9f8daa0e311b6a6b40cc21d38226"><div class="ttname"><a href="../../d5/d98/group___math.html#gac34f9f8daa0e311b6a6b40cc21d38226">Math::RandomInt</a></div><div class="ttdeci">static proto int RandomInt(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [exclusive].</div></div>
<div class="ttc" id="agroup___math_html_gac9f0b1b548394cf668a86362a32de298"><div class="ttname"><a href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Math::Ceil</a></div><div class="ttdeci">static proto float Ceil(float f)</div><div class="ttdoc">Returns ceil of value.</div></div>
<div class="ttc" id="agroup___math_html_gad14dabb3390c0864934b342a0b807db8"><div class="ttname"><a href="../../d5/d98/group___math.html#gad14dabb3390c0864934b342a0b807db8">Math::DiffAngle</a></div><div class="ttdeci">static proto float DiffAngle(float angle1, float angle2)</div><div class="ttdoc">Return relative difference between angles.</div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___math_html_gada995223be69142be1ecd61992b3e342"><div class="ttname"><a href="../../d5/d98/group___math.html#gada995223be69142be1ecd61992b3e342">Math::Math</a></div><div class="ttdeci">private void Math()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00008">EnMath.c:8</a></div></div>
<div class="ttc" id="agroup___math_html_gadacb3dbc327448657d5afd3093ade65a"><div class="ttname"><a href="../../d5/d98/group___math.html#gadacb3dbc327448657d5afd3093ade65a">Math::~Math</a></div><div class="ttdeci">private void ~Math()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00009">EnMath.c:9</a></div></div>
<div class="ttc" id="agroup___math_html_gadbdf067af7aa51723de417b94223b046"><div class="ttname"><a href="../../d5/d98/group___math.html#gadbdf067af7aa51723de417b94223b046">Math::WrapFloat0XInclusive</a></div><div class="ttdeci">static proto float WrapFloat0XInclusive(float f, float max)</div><div class="ttdoc">Returns wrap number to specified interval [0, max].</div></div>
<div class="ttc" id="agroup___math_html_gadf6cda0885b5257cc109a3420ea11cd6"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf6cda0885b5257cc109a3420ea11cd6">Math::DEG2RAD</a></div><div class="ttdeci">static const float DEG2RAD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00017">EnMath.c:17</a></div></div>
<div class="ttc" id="agroup___math_html_gadf8820d46eee5033af2e12212c22b16e"><div class="ttname"><a href="../../d5/d98/group___math.html#gadf8820d46eee5033af2e12212c22b16e">Math::AbsFloat</a></div><div class="ttdeci">static proto float AbsFloat(float f)</div><div class="ttdoc">Returns absolute value.</div></div>
<div class="ttc" id="agroup___math_html_gae5ee54bb2c75e1edd71b0c0feef2b01b"><div class="ttname"><a href="../../d5/d98/group___math.html#gae5ee54bb2c75e1edd71b0c0feef2b01b">Math::SmoothCD</a></div><div class="ttdeci">static proto float SmoothCD(float val, float target, inout float velocity[], float smoothTime, float maxVelocity, float dt)</div><div class="ttdoc">Does the CD smoothing function - easy in | easy out / S shaped smoothing.</div></div>
<div class="ttc" id="agroup___math_html_gaf4c70bf52ed5d2c4d7bcd0b32e987b88"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">Math::GetNumberOfSetBits</a></div><div class="ttdeci">static proto int GetNumberOfSetBits(int i)</div><div class="ttdoc">returns the number of bits set in a bitmask i</div></div>
<div class="ttc" id="agroup___math_html_gaf8c064b6b688407b9999ee677efd715d"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">Math::PI</a></div><div class="ttdeci">static const float PI</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00012">EnMath.c:12</a></div></div>
<div class="ttc" id="agroup___math_html_gafb9b2e8f56df699e34f40875213dedff"><div class="ttname"><a href="../../d5/d98/group___math.html#gafb9b2e8f56df699e34f40875213dedff">Math::Factorial</a></div><div class="ttdeci">static int Factorial(int val)</div><div class="ttdoc">values above '12' will cause int overflow</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00667">EnMath.c:667</a></div></div>
<div class="ttc" id="agroup___math_html_gafbc28855d0d24deda2fbdd3229c6bac2"><div class="ttname"><a href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math::RandomIntInclusive</a></div><div class="ttdeci">static int RandomIntInclusive(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00053">EnMath.c:53</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../da/d34/_en_math_8c.html">EnMath.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
